/*
 * FlipperFactory.cpp
 *
 *  Created on: December 28, 2019
 *      Author: Andreas Schneider, Johannes Wendel, Jonas Zeunert
 */

#include <output/DriverBoardPinController.h>
#include "FlipperFactory.h"

namespace flippR_driver
{
namespace output
{

FlipperFactory::FlipperFactory(nlohmann::json &object, std::shared_ptr<DriverBoardPinController> pin_controller) :
  Factory{object, pin_controller}
{

}

std::map<std::string, std::shared_ptr<items::Item>> FlipperFactory::getItemMap()
{
  return std::map<std::string, std::shared_ptr<items::Item>>();
}

}
}
